commit:     39ae366a66151865de9654d55db996cda25d3ee3
Author:     James Le Cuirot <chewi <AT> gentoo <DOT> org>
AuthorDate: Thu Jun 13 21:42:23 2024 +0000
Commit:     James Le Cuirot <chewi <AT> gentoo <DOT> org>
CommitDate: Mon Jun 17 09:27:45 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=39ae366a

app-emulation/ruffle: Use new cargo_target_dir helper

Signed-off-by: James Le Cuirot <chewi <AT> gentoo.org>

 app-emulation/ruffle/ruffle-0_p20240422.ebuild | 4 +---
 app-emulation/ruffle/ruffle-0_p20240521.ebuild | 4 +---
 app-emulation/ruffle/ruffle-9999.ebuild        | 4 +---
 3 files changed, 3 insertions(+), 9 deletions(-)

diff --git a/app-emulation/ruffle/ruffle-0_p20240422.ebuild 
b/app-emulation/ruffle/ruffle-0_p20240422.ebuild
index 3429c8fc5d64..1c3b4e37a2d7 100644
--- a/app-emulation/ruffle/ruffle-0_p20240422.ebuild
+++ b/app-emulation/ruffle/ruffle-0_p20240422.ebuild
@@ -742,9 +742,7 @@ src_install() {
        make_desktop_entry ${PN} ${PN^} ${PN} "AudioVideo;Player;Emulator;" \
                
"MimeType=application/x-shockwave-flash;application/vnd.adobe.flash.movie;"
 
-       # TODO: swap with /gentoo after 
https://github.com/gentoo/gentoo/pull/29510
-       cd target/$(usex debug{,} release) || die
-
+       cd "$(cargo_target_dir)" || die
        newbin ${PN}_desktop ${PN}
        newbin exporter ${PN}_exporter
        dobin ${PN}_scanner

diff --git a/app-emulation/ruffle/ruffle-0_p20240521.ebuild 
b/app-emulation/ruffle/ruffle-0_p20240521.ebuild
index 10f2973fbcf6..b7de63ddaf60 100644
--- a/app-emulation/ruffle/ruffle-0_p20240521.ebuild
+++ b/app-emulation/ruffle/ruffle-0_p20240521.ebuild
@@ -723,9 +723,7 @@ src_install() {
        make_desktop_entry ${PN} ${PN^} ${PN} "AudioVideo;Player;Emulator;" \
                
"MimeType=application/x-shockwave-flash;application/vnd.adobe.flash.movie;"
 
-       # TODO: swap with /gentoo after 
https://github.com/gentoo/gentoo/pull/29510
-       cd target/$(usex debug{,} release) || die
-
+       cd "$(cargo_target_dir)" || die
        newbin ${PN}_desktop ${PN}
        newbin exporter ${PN}_exporter
        dobin ${PN}_scanner

diff --git a/app-emulation/ruffle/ruffle-9999.ebuild 
b/app-emulation/ruffle/ruffle-9999.ebuild
index 6ceb7a0ae3ba..457bc5e52efc 100644
--- a/app-emulation/ruffle/ruffle-9999.ebuild
+++ b/app-emulation/ruffle/ruffle-9999.ebuild
@@ -75,9 +75,7 @@ src_install() {
        make_desktop_entry ${PN} ${PN^} ${PN} "AudioVideo;Player;Emulator;" \
                
"MimeType=application/x-shockwave-flash;application/vnd.adobe.flash.movie;"
 
-       # TODO: swap with /gentoo after 
https://github.com/gentoo/gentoo/pull/29510
-       cd target/$(usex debug{,} release) || die
-
+       cd "$(cargo_target_dir)" || die
        newbin ${PN}_desktop ${PN}
        newbin exporter ${PN}_exporter
        dobin ${PN}_scanner

Reply via email to